Bug 28007 - Replace obsolete title-string sorting: Tools templates
Summary: Replace obsolete title-string sorting: Tools templates
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27934 28014
  Show dependency treegraph
 
Reported: 2021-03-19 16:17 UTC by Owen Leonard
Modified: 2021-04-19 09:30 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28007: Replace obsolete title-string sorting: Tools templates (16.40 KB, patch)
2021-03-22 16:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28007: Replace obsolete title-string sorting: Tools templates (16.41 KB, patch)
2021-03-23 15:39 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 28007: (follow-up) Address missing instances (4.03 KB, patch)
2021-03-25 12:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28007: Replace obsolete title-string sorting: Tools templates (16.51 KB, patch)
2021-03-27 15:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28007: (follow-up) Address missing instances (4.09 KB, patch)
2021-03-27 15:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-19 16:17:40 UTC
This patch will modify the following templates to replace the old "title-string" DataTables sorting method with the built-in method using "data-order" attributes.

  intranet-tmpl/prog/en/modules/tools/access_files.tt
  intranet-tmpl/prog/en/modules/tools/holidays.tt
  intranet-tmpl/prog/en/modules/tools/inventory.tt
  intranet-tmpl/prog/en/modules/tools/koha-news.tt
  intranet-tmpl/prog/en/modules/tools/letter.tt
  intranet-tmpl/prog/en/modules/tools/modborrowers.tt
  intranet-tmpl/prog/en/modules/tools/problem-reports.tt
Comment 1 Owen Leonard 2021-03-22 16:32:18 UTC
Created attachment 118618 [details] [review]
Bug 28007: Replace obsolete title-string sorting: Tools templates

This patch modifies several tools templates to replace the use of
the "title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Tools -> Access files
  - You must modify koha-conf.xml to uncomment and populate the
    access_dirs section with a path to a directory containing some
    files.
- Tools -> Calendar
  - Test the date sorting in the "Exceptions," "Yearly - Repeating
    holidays," and "Unique holidays" tables.
- Tools -> Inventory (I wasn't able to test this because of Bug 28015).
- Tools -> News
- Tools -> Notices
- Tools -> Batch patron modification
- Tools -> OPAC problem reports
  - You must enable the "OPACReportProblem" system preference and submit
    some problem reports from the OPAC.
Comment 2 Amit Gupta 2021-03-23 15:39:52 UTC
Created attachment 118671 [details] [review]
Bug 28007: Replace obsolete title-string sorting: Tools templates

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Tools -> Access files
  - You must modify koha-conf.xml to uncomment and populate the
    access_dirs section with a path to a directory containing some
    files.
- Tools -> Calendar
  - Test the date sorting in the "Exceptions," "Yearly - Repeating
    holidays," and "Unique holidays" tables.
- Tools -> Inventory (I wasn't able to test this because of Bug 28015).
- Tools -> News
- Tools -> Notices
- Tools -> Batch patron modification
- Tools -> OPAC problem reports
  - You must enable the "OPACReportProblem" system preference and submit
    some problem reports from the OPAC.
Comment 3 Owen Leonard 2021-03-25 12:49:38 UTC
Created attachment 118791 [details] [review]
Bug 28007: (follow-up) Address missing instances

This patch removes the "title-string" option from some dataTable
initializations.
Comment 4 Katrin Fischer 2021-03-27 15:06:20 UTC
Created attachment 118897 [details] [review]
Bug 28007: Replace obsolete title-string sorting: Tools templates

This patch modifies several tools templates to replace the use of
the "title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Tools -> Access files
  - You must modify koha-conf.xml to uncomment and populate the
    access_dirs section with a path to a directory containing some
    files.
- Tools -> Calendar
  - Test the date sorting in the "Exceptions," "Yearly - Repeating
    holidays," and "Unique holidays" tables.
- Tools -> Inventory (I wasn't able to test this because of Bug 28015).
- Tools -> News
- Tools -> Notices
- Tools -> Batch patron modification
- Tools -> OPAC problem reports
  - You must enable the "OPACReportProblem" system preference and submit
    some problem reports from the OPAC.

Signed-off-by: Amit Gupta <amitddng135@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-03-27 15:06:23 UTC
Created attachment 118898 [details] [review]
Bug 28007: (follow-up) Address missing instances

This patch removes the "title-string" option from some dataTable
initializations.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-04-06 13:59:05 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-04-19 09:30:42 UTC
Enhancement not pushed to 20.11.x